#include "slidedialog.h"
 
#include <qlayout.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <kbuttonbox.h>
#include <kseparator.h>
#include <klocale.h>
 
KIFSlideDialog::KIFSlideDialog(QWidget *parent, const char *name)
    : QDialog(parent, name, true)
{
    setCaption(i18n("SlideShow"));
    QVBoxLayout *layout = new QVBoxLayout(this, 4);
    delayEdit = new KIntNumInput(5, this);
    delayEdit->setLabel(i18n("Delay in seconds"));
    layout->addWidget(delayEdit);

    KSeparator *sep = new KSeparator(Qt::Horizontal, this);
    layout->addWidget(sep);

    QButtonGroup *btnGrp = new QButtonGroup(this);
    btnGrp->hide();
    fileListBtn = new QRadioButton(i18n("Use images in filelist"), this);
    btnGrp->insert(fileListBtn);
    layout->addWidget(fileListBtn);
    dirListBtn = new QRadioButton(i18n("Use images in browser folder"), this);
    btnGrp->insert(dirListBtn);
    layout->addWidget(dirListBtn);

    fileListBtn->setChecked(true);

    sep = new KSeparator(Qt::Horizontal, this);
    layout->addWidget(sep);

    maxCB = new QCheckBox(i18n("Maxpect"), this);
    layout->addWidget(maxCB);
    loopCB = new QCheckBox(i18n("Loop"), this);
    layout->addWidget(loopCB);

    KButtonBox *bbox = new KButtonBox(this);
    bbox->addStretch(1);
   
    connect(bbox->addButton(i18n("OK")), SIGNAL(clicked()), this,
            SLOT(accept()));
    connect(bbox->addButton(i18n("Cancel")), SIGNAL(clicked()), this,
            SLOT(reject()));
    layout->addWidget(bbox);         
}


