#ifndef __KIF_SLIDESHOW_H
#define __KIF_SLIDESHOW_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qimage.h>
#include <qtimer.h>

class KIFSlideShow : public QWidget
{
    Q_OBJECT
public:
    KIFSlideShow(const QStringList &fileList, int delay,
                 bool maxpect, bool loop, QWidget *parent=0,
                 const char *name=0);
    ~KIFSlideShow();
protected slots:
    void slotTimer();
protected:
    void paintEvent(QPaintEvent *ev);
    void closeEvent(QCloseEvent *ev);
    void mousePressEvent(QMouseEvent *ev);
    QPixmap pix;
    QImage img;
    bool max, looping;
    int time;
    QStringList list;
    QStringList::Iterator it;
    QTimer t;
    QColor *c;
    void *gc; // can't include X11 headers due to Qt conflicts
};


#endif


