#include <magickhandler.h>
#include <qimage.h>
#include <qdir.h>
#include <string.h>
#include <stdio.h>

extern "C"{
    #include <magick.h>
};


void qimageio_magickreadimage(QImageIO *io)
{
    Image *magickImg;
    ImageInfo info;

    GetImageInfo(&info);
    strcpy(info.filename, io->fileName().latin1());
    qWarning("In Magick readimage for file: %s", info.filename);
    magickImg = ReadImage(&info);
    if(magickImg == NULL){
        qWarning("NULL image");
        io->setStatus(IO_ReadError);
        return;
    }
    qWarning("Image read");
    QImage img(magickImg->columns, magickImg->rows, 32);
    GetPixels(magickImg, 0, 0, img.width(), img.height(),
              "BGRA", (StorageType)0, img.bits());
    DestroyImage(magickImg);
    io->setImage(img);
    io->setStatus(0);
}

void qimageio_magickwriteimage(QImageIO *io)
{
    Image *magickImg;
    ImageInfo info;
    QImage img(io->image());
    if(img.depth() < 32)
        img = img.convertDepth(32);


    GetImageInfo(&info);
    strcpy(info.filename, io->fileName().latin1());
    qWarning("In Magick writeimage for file: %s", info.filename);
    magickImg = CreateImage(img.width(), img.height(), "BGRA",
                            (StorageType)0, img.bits());
    if(magickImg == NULL){
        io->setStatus(IO_FatalError);
        return;
    }
    strcpy(magickImg->filename, io->fileName().latin1());
    if(!WriteImage(&info, magickImg))
        io->setStatus(IO_WriteError);
    else
        io->setStatus(0);
    DestroyImage(magickImg);
}


